function r = kReadByte(ref,address)

if nargin~=2
	disp('KREADBYTE   Read a byte from the extension bus')
	disp(' ')
	disp('value = kReadByte(ref)')
	disp('  Read a byte from an address (0..63) on the extension bus')
	disp('  Use the reference obtained with kopen.')
	disp(' ')
	disp('  Written by Skye Legon, K-Team SA, 02/99')
	return
end

reply = kcmd(ref,sprintf('R,%d',round(address)));
[value,count,errmsg] = sscanf(reply,'r,%d');
if isempty(errmsg)
   r = value;
else
   r = -1;
end

